Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class CIOnePopMeanSigmaUnknown

    java.lang.Object
      org.statcato.statistics.inferential.ConfidenceInterval
          org.statcato.statistics.inferential.CIOnePopMeanSigmaUnknown

    public class CIOnePopMeanSigmaUnknown

extends ConfidenceInterval

Confidence interval class for one population mean, sigma (population standard deviation) unknown.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary

Fields inherited from class org.statcato.statistics.inferential.ConfidenceInterval
`center, confidenceLevel`

Constructor Summary
`CIOnePopMeanSigmaUnknown(double confidenceLevel, int n, double mean, double s)` Constructor.

Method Summary
`double` | `criticalValue()` Returns the critical value corresponding to the given confidence level.
`double` | `marginOfError()` Returns the margin of error.

Methods inherited from class org.statcato.statistics.inferential.ConfidenceInterval
`lowerLimit, toString, upperLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIOnePopMeanSigmaUnknown

    public CIOnePopMeanSigmaUnknown(double confidenceLevel,
                                    int n,
                                    double mean,
                                    double s)

  Constructor.

  Parameters:
    `confidenceLevel` - confidence level, between 0 and 1
    `n` - sample size
    `mean` - sample mean
    `s` - sample standard deviation

Method Detail

### marginOfError

    public double marginOfError()

  Returns the margin of error. E = t_(alpha/2) * s / sqrt(n).

  Specified by:
    `marginOfError` in class `ConfidenceInterval`
  Returns:
    margin of error

### criticalValue

    public double criticalValue()

  Returns the critical value corresponding to the given confidence level. Uses Student's t distribution to find t_(alpha/2), where alpha is the significance level (1 - confidence level).

  Specified by:
    `criticalValue` in class `ConfidenceInterval`
  Returns:
    critical value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD